<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

global $config;

// 1. Глобальные настройки
// =======================
// 1.1 $config['host'] - адрес хоста (сайта). Оределяется автоматически.
/////////////////////////////////////////////////////////////////////////////////////////////////////////
$config['host']				= 'http://'.$_SERVER['SERVER_NAME'];

// 1.2 $config['add_www'] - Не актуально для доменов третьего уровня. Если Ваш хост определился как http://mysite.ru,
//			 то переменная $config['add_www'], если она включена (True), добавит www. и $config['host'] будет
//			 иметь значение: http://www.mysite.ru
//			 По умолчанию включено. false - чтобы отключить.
/////////////////////////////////////////////////////////////////////////////////////////////////////////
$config['add_www']			= true;
					if ($config['add_www']) {
						$www = strpos($config['host'], "www.");
						if($www === false) 
							$config['host'] = str_replace("http://", "http://www.", $config['host']);
					}

// 1.3 Основные пути для файлов и директорий. 
// $config['sitemap_path'] - Путь до директории, куда сохраняются сгенерированные sitemap'ы для каждого раздела.
//                           По умолчанию директория "sitemaps/" в корне сайта. Должна быть открыта для записи,
//                           т.е. установлены атрибуты 0755.
// $config['sitemap_index'] - Путь до индексного sitemap'а. Т.е. индекса, в который собираются sitemap'ы разделов.
//                            По умолчанию "/sitemap.xml" в корне сайта.
// $config['robots_txt'] - Путь до файла robots.txt
//                         По умолчанию "/robots.txt" в корне сайта.
/////////////////////////////////////////////////////////////////////////////////////////////////////////
$config['sitemap_path']			= '/sitemaps/';
$config['sitemap_index']		= '/sitemap.xml';
$config['robots_txt']			= '/robots.txt';

// 2. Настройки разделов
// ======================
// 2.1 $config['blocks'] - Список и порядок обрабратываемых блоков (разделов).
//                        'users'   - Пользователи их фотографии
//                        'blogs'   - Блоги
//                        'forum'   - Форумы
//                        'board'   - Доска объявлений
//                        'faq'     - Вопросы и ответы
//                        'catalog' - Универсальный каталог
//                        'content' - Основной контент сайта. Статьи и новости.
//                         Порядок актуален для вывода HTML-версии карты. Обрабатываться разделы будут именно те,
//                         и именно в том порядке, который содержит данный массив.
//                         ВАЖНО!!! Названия блоков не менять!
/////////////////////////////////////////////////////////////////////////////////////////////////////////
$config['blocks']			= array('catalog', 'content', 'users', 'blogs', 'forum', 'board', 'faq');

// 2.2 Индивидуальные настройки для каждого раздела.
// 
// $block = 'имя_блока';                - имя блока как в массиве $config['blocks']
// Ниже идут переменные, необходимые для каждой функции:
// $config[$block]['allow']             - Включать ли блок в обработку. По умолчанию true.
// $config[$block]['name']              - Имя блока латиницей. Эта переменная также отвечает за имя файла sitemap'а раздела.
// $config[$block]['title']             - Заголовок для HTML-версии
// $config[$block]['url']               - url до корня раздела.
// $config[$block]['allow_bla-bla-bla'] - Последняя переменная. Включает/отключает обработку вложенности.
//                                        Актуально для сайтов с большим количеством контента (много пользователей, много блогов, и .т.д.)
//                                        Т.е. если она включена, то, к примеру, в обработку попадут ссылки не только на профили
//                                        Пользователей, но и на их фотографии.
//                                        По умолчанию включена. false - чтобы отключить.
/////////////////////////////////////////////////////////////////////////////////////////////////////////


// 3. Индивидуальные настройки разделов
/////////////////////////////////////////////////////////////////////////////////////////////////////////
 
// Раздел Пользователи
$block = 'users';
$config[$block]['allow']		= true;						// Раздел включен в обработку
$config[$block]['name']			= $block;					// Имя раздела
$config[$block]['title']		= 'Пользователи';				// Заголовок для HTML-версии
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела
$config[$block]['allow_photos']		= true;						// Обрабатывать фотографии пользователей

// Раздел Блоги
$block = 'blogs';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку           
$config[$block]['name']			= $block;                                       // Имя раздела                          
$config[$block]['title']		= 'Блоги';                                      // Заголовок для HTML-версии            
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела                    
$config[$block]['allow_posts']		= true;                                         // Обрабатывать посты в блогах

// Раздел Форумы
$block = 'forum';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку           
$config[$block]['name']			= $block;                                       // Имя раздела                          
$config[$block]['title']		= 'Форум';                                      // Заголовок для HTML-версии            
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела                    
$config[$block]['allow_threads']	= true;                                         // Обрабатывать треды

// Раздел Доска объявлений
$block = 'board';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку           
$config[$block]['name']			= $block;                                       // Имя раздела                          
$config[$block]['title']		= 'Доска объявлений';                           // Заголовок для HTML-версии            
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела                    
$config[$block]['allow_items']		= true;                                         // Обрабатывать объявления

// Раздел Вопросы и ответы
$block = 'faq';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку
$config[$block]['name']			= $block;                                       // Имя раздела               
$config[$block]['title']		= 'Вопросы и ответы';                           // Заголовок для HTML-версии 
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела         
$config[$block]['allow_answers']	= true;                                         // Обрабатывать ответы

// Раздел Универсальный каталог
$block = 'catalog';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку
$config[$block]['name']			= $block;                                       // Имя раздела               
$config[$block]['title']		= 'Каталог';                                    // Заголовок для HTML-версии 
$config[$block]['url']			= $config['host'].'/'.$config[$block]['name'];  // url корня раздела         
$config[$block]['allow_items']		= true;                                         // Обрабатывать позиции каталога

// Раздел Основной контент сайта (Новости и Статьи)
$block = 'content';
$config[$block]['allow']		= true;                                         // Раздел включен в обработку   
$config[$block]['name']			= $block;                                       // Имя раздела                  
$config[$block]['title']		= 'Контент сайта';                              // Заголовок для HTML-версии    
$config[$block]['url']			= $config['host'];                              // url корня раздела            
//$config[$block]['url']		= $config['host'].'/'.$config[$block]['name'];  
$config[$block]['allow_content']	= true;                                         // Обрабатывать страницы контента

?>