<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function sitemap() {

	global $config;

	$inCore	= cmsCore::getInstance();
	$inDB	= cmsDatabase::getInstance();
	$inUser	= cmsUser::getInstance();

	$inCore->includeFile('/components/sitemap/config.php');
	$inCore->includeFile('/components/sitemap/templates.php');

	foreach($config['blocks'] as $block) {
		$inCore->includeFile('/components/sitemap/includes/'.$block.'.php');
		$funct	= $block.'_sitemap';
		$output	= $funct($config[$block]);
		if($output) {
			$output['xml']		= tpl_sitemap_xml_global($output['xml']);
			$output['filename']	= '.'.$config['sitemap_path'].$output['name'].'.xml';
			$output['loc']		= $config['host'].$output['filename'];
			$output['lastmod']	= date("Y-m-d");

			$sitemap_index[]	= tpl_sitemap_index_xml_row($output);
			$html_block[]		= tpl_sitemap_html_block($output);

			$sitemap_files[$block]	= $output['filename'];

			if($inUser->is_admin) file_put_contents($output['filename'], $output['xml']);
		}
		unset($output);
	}

	if($inUser->is_admin AND is_array($sitemap_index)) {

		$output = implode("\r\n", $sitemap_index);
		$output = tpl_sitemap_index_xml_global($output);
		$sitemap_files['index']	= '.'.$config['sitemap_index'];
		
		file_put_contents('.'.$config['sitemap_index'], $output);
		unset($output);


	}

	if(is_array($html_block)) {
		$page['sitemap_html_page'] = implode("\r\n", $html_block);

		if($inUser->is_admin) {

			$page['sitemap_admin_menu'] = tpl_sitemap_html_admin_menu();

		if(!file_exists('.'.$config['robots.txt'])) {
			$robots_txt = tpl_robots_txt($config['host'],$config['sitemap_index']);
			file_put_contents('.'.$config['robots_txt'], $robots_txt);
		}
		$output['you_robots_txt'] = file_get_contents('.'.$config['robots_txt']);
		$output['example_robots_txt'] = tpl_robots_txt($config['host'],$config['sitemap_index']);
		$admin_content[] = tpl_sitemap_html_admin_page_robots($output);
		unset($output);


			foreach($sitemap_files as $sitemap_key => $sitemap_file) {
				$html['sitemap_key'] = $sitemap_key;
				$html['sitemap_file'] = $sitemap_file;
				$html['sitemap_content'] = file_get_contents($sitemap_file);
				$xmlObj = simplexml_load_string($html['sitemap_content']);
				$arrXml = objectsIntoArray($xmlObj);
				if($sitemap_key != 'index') $arrREC = $arrXml['url'];
				else $arrREC = $arrXml['sitemap'];
				$html['sitemap_rows'] = sizeof($arrREC);
				$html['sitemap_size'] = strlen($html['sitemap_content']);
				$html['sitemap_content'] = htmlspecialchars($html['sitemap_content']);
				$admin_content[] = tpl_sitemap_html_admin_page_row($html);
			}


			$admin_page_content = implode("\r\n", $admin_content);

			$page['sitemap_admin_page'] = tpl_sitemap_html_admin_page($admin_page_content);
		}

	}

	echo tpl_sitemap_html_global($page);

	return true;

} //function

function d($data="") {
echo "<pre>";
print_r($data);
echo "</pre>";
}

function objectsIntoArray($arrObjData, $arrSkipIndices = array()) {
	$arrData = array();
   
	// if input is object, convert into array
	if (is_object($arrObjData)) {
		$arrObjData = get_object_vars($arrObjData);
	}
   
	if (is_array($arrObjData)) {
		foreach ($arrObjData as $index => $value) {
			if (is_object($value) || is_array($value)) {
				$value = objectsIntoArray($value, $arrSkipIndices); // recursive call
			}
			if (in_array($index, $arrSkipIndices)) {
                		continue;
            		}
            		$arrData[$index] = $value;
		}
	}
	return $arrData;
}

?>
