<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function blogs_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['blogs'] = "SELECT b.id, b.title, b.seolink, MAX(bp.pubdate) as pubdate FROM cms_blogs b
				LEFT JOIN cms_blog_posts bp ON (bp.blog_id = b.id)
				WHERE b.allow_who='all' AND bp.allow_who='all' GROUP BY b.id ORDER BY pubdate DESC";
	$result['blogs'] = $inDB->query($sql['blogs']);
		
	if ($inDB->num_rows($result['blogs'])){
		while ($blogs=$inDB->fetch_assoc($result['blogs'])){
			$row			= $blogs;
			$row['pubdate']		= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['seolink'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$blog_id		= $row['id'];
			$blog_url		= $row['loc'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);

			if($cfg['allow_posts']) {
				$sql['blog_posts'] = "SELECT bp.title, bp.seolink as seolink, bp.pubdate as pubdate FROM cms_blog_posts bp
							WHERE bp.allow_who='all' AND bp.blog_id = ".$blog_id." ORDER BY bp.pubdate DESC";
				$result['blog_posts'] = $inDB->query($sql['blog_posts']);
	        
				if ($inDB->num_rows($result['blog_posts'])){
					while ($blog_posts=$inDB->fetch_assoc($result['blog_posts'])){
						$row			= $blog_posts;
						$row['loc']		= $blog_url.'/'.$row['seolink'].'.html';
						$row['pubdate']		= strtotime($row['pubdate']);
						$row['lastmod']		= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
	        
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
	        
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>