<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function board_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['boards'] = "SELECT bc.id, bc.title, MAX(bi.pubdate) as pubdate FROM cms_board_cats bc LEFT JOIN cms_board_items bi ON (bi.category_id = bc.id)
			WHERE bi.published = 1 GROUP BY bc.id ORDER BY pubdate DESC";
	$result['boards'] = $inDB->query($sql['boards']);
		
	if ($inDB->num_rows($result['boards'])){
		while ($board=$inDB->fetch_assoc($result['boards'])){
			$row			= $board;
			$row['pubdate']		= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['id'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$board_id		= $row['id'];
			$board_url		= $row['loc'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);

			if($cfg['allow_items']) {
				$sql['board_items'] = "SELECT bi.id, bi.title, bi.pubdate as pubdate FROM cms_board_items bi
						WHERE bi.published = 1 AND bi.category_id = ".$board_id." ORDER BY bi.pubdate DESC";
				$result['board_items'] = $inDB->query($sql['board_items']);
	        
				if ($inDB->num_rows($result['board_items'])){
					while ($post=$inDB->fetch_assoc($result['board_items'])){
						$row			= $post;
						$row['pubdate']		= strtotime($row['pubdate']);
						$row['loc']		= $cfg['url'].'/read'.$row['id'].'.html';
						$row['lastmod']		= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
                
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
	        
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>