<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function catalog_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['catalogs'] = "SELECT c.id, c.title, MAX(i.pubdate) as pubdate FROM cms_uc_cats c LEFT JOIN cms_uc_items i ON (i.category_id = c.id)
			WHERE i.published='1' AND c.published='1' GROUP BY c.id ORDER BY pubdate DESC";
	$result['catalogs'] = $inDB->query($sql['catalogs']);
	
	if ($inDB->num_rows($result['catalogs'])){
		while ($catalog=$inDB->fetch_assoc($result['catalogs'])){
			$row			= $catalog;
			$row['pubdate']		= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['id'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$catalog_id		= $row['id'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);
			
			
			
			if($cfg['allow_items']) {
				$sql['catalog_items'] = "SELECT i.title, i.id, i.pubdate FROM cms_uc_items i
						WHERE i.published='1' AND i.category_id='".$catalog_id."' ORDER BY i.pubdate DESC";
				$result['catalog_items'] = $inDB->query($sql['catalog_items']);
	        
				if ($inDB->num_rows($result['catalog_items'])){
					while ($item=$inDB->fetch_assoc($result['catalog_items'])){
							$row			= $item;
							$row['pubdate']		= strtotime($row['pubdate']);
							$row['loc']		= $cfg['url'].'/item'.$row['id'].'.html';
							$row['lastmod']		= date("Y-m-d", $row['pubdate']);
							if($row['pubdate'] >= strtotime("-1 week")) {
								$row['changefreq']	= 'daily';
								$row['priority']	= '0.9';
							} elseif($row['pubdate'] < strtotime("-1 week")) {
								$row['changefreq']	= 'weekly';
								$row['priority']	= '0.8';
							}
                        
							$output['xml'][]	= tpl_sitemap_xml_row($row);
							$output['html'][]	= tpl_sitemap_html_row($row,1);
							unset($row);
	        
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>