<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function content_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['category'] = "SELECT r.id, r.title, MAX(i.pubdate) as pubdate, r.seolink FROM cms_category r LEFT JOIN cms_content i ON (i.category_id = r.id)
			WHERE i.published='1' AND r.published='1' AND r.parent_id != 0 GROUP BY r.id ORDER BY pubdate DESC";
	$result['category'] = $inDB->query($sql['category']);
	
	if ($inDB->num_rows($result['category'])){
		while ($category=$inDB->fetch_assoc($result['category'])){
			$row			= $category;
			$row['pubdate']		= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['seolink'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$category_id		= $row['id'];
			$category_url		= $row['loc'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);
			
			if($cfg['allow_content']) {
				$sql['content'] = "SELECT i.title, i.id, i.pubdate, i.seolink FROM cms_content i
						WHERE i.published='1' AND i.category_id='".$category_id."' ORDER BY i.pubdate DESC";
				$result['content'] = $inDB->query($sql['content']);
	        
				if ($inDB->num_rows($result['content'])){
					while ($content=$inDB->fetch_assoc($result['content'])){
						$row			= $content;
						$row['loc']		= $cfg['url'].'/'.$row['seolink'].'.html';
						$row['pubdate']		= strtotime($row['pubdate']);
						$row['lastmod']		= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
                
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
	        
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>