<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function faq_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	if($cfg['allow_answers']) {
		$sql['faq_quests'] = "SELECT fq.id, fq.quest as title, fq.pubdate as pubdate FROM cms_faq_quests fq
					WHERE fq.published = 1 AND fq.category_id = 0 ORDER BY fq.pubdate DESC";
		$result['faq_quests'] = $inDB->query($sql['faq_quests']);
	        
		if ($inDB->num_rows($result['faq_quests'])){
			while ($quest=$inDB->fetch_assoc($result['faq_quests'])){
				$row			= $quest;
				$row['pubdate']		= strtotime($row['pubdate']);
				$row['loc']		= $cfg['url'].'/quest'.$row['id'].'.html';
				$row['lastmod']		= date("Y-m-d", $row['pubdate']);
				if($row['pubdate'] >= strtotime("-1 week")) {
					$row['changefreq']	= 'daily';
					$row['priority']	= '0.9';
				} elseif($row['pubdate'] < strtotime("-1 week")) {
					$row['changefreq']	= 'weekly';
					$row['priority']	= '0.8';
				}
	        
				$output['xml'][]	= tpl_sitemap_xml_row($row);
				$output['html'][]	= tpl_sitemap_html_row($row,1);
				unset($row);
	        
			}
		}
	}

	$sql['faq'] = "SELECT fc.id, fc.title, MAX(fq.pubdate) as pubdate FROM cms_faq_cats fc
			LEFT JOIN cms_faq_quests fq ON (fq.category_id = fc.id)
			WHERE fq.published = 1 GROUP BY fc.id ORDER BY pubdate DESC";
	$result['faq'] = $inDB->query($sql['faq']);
		
	if ($inDB->num_rows($result['faq'])){
		while ($faq=$inDB->fetch_assoc($result['faq'])){
			$row			= $faq;
			$item['pubdate']	= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['id'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$cat_id			= $row['id'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);

			if($cfg['allow_answers']) {
				$sql['faq_quests'] = "SELECT fq.id, fq.quest as title, fq.pubdate as pubdate FROM cms_faq_quests fq
							WHERE fq.published = 1 AND fq.category_id = ".$cat_id." ORDER BY fq.pubdate DESC";
				$result['faq_quests'] = $inDB->query($sql['faq_quests']);
	                
				if ($inDB->num_rows($result['faq_quests'])){
					while ($quest=$inDB->fetch_assoc($result['faq_quests'])){
						$row			= $quest;
						$row['pubdate']		= strtotime($row['pubdate']);
						$row['loc']		= $cfg['url'].'/quest'.$row['id'].'.html';
						$row['lastmod']		= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
			        
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
	                
					}
				}
			}
		}
	
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>