<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function forum_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['forum'] = "SELECT f.id, f.title, MAX(ft.pubdate) as pubdate FROM cms_forums f 
			LEFT JOIN cms_forum_threads ft ON (ft.forum_id = f.id)
			WHERE f.published != 0 AND ft.pubdate != 0 GROUP BY f.id ORDER BY f.ordering ASC";
	$result['forum'] = $inDB->query($sql['forum']);
		
	if ($inDB->num_rows($result['forum'])){
		while ($forum=$inDB->fetch_assoc($result['forum'])){
			$row			= $forum;
			$row['pubdate']		= strtotime($row['pubdate']);
			$row['loc']		= $cfg['url'].'/'.$row['id'];
			$row['lastmod']		= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}

			$forum_id		= $row['id'];
			$forum_url		= $row['loc'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);

			if($cfg['allow_threads']) {
				$sql['forum_threads'] = "SELECT ft.id, ft.title, ft.pubdate FROM cms_forum_threads ft
						WHERE ft.forum_id = ".$forum_id." AND (ft.closed = 0 AND ft.is_hidden = 0) 
						ORDER BY ft.pubdate DESC";
				$result['forum_threads'] = $inDB->query($sql['forum_threads']);
	        
				if ($inDB->num_rows($result['forum_threads'])){
					while ($forum_threads=$inDB->fetch_assoc($result['forum_threads'])){
						$row			= $forum_threads;
						$row['loc']		= $cfg['url'].'/thread'.$row['id'].'.html';
						$row['pubdate']		= strtotime($row['pubdate']);
						$row['lastmod']		= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
	        
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
