<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function users_sitemap($cfg=""){

	if(!is_array($cfg) OR !$cfg['allow']) return false;

	$inDB	= cmsDatabase::getInstance();

	$row['lastmod']		= date("Y-m-d");
	$row['loc']		= $cfg['url'];
	$row['changefreq']	= 'daily';
	$row['priority']	= '0.9';
	$output['xml'][]	= tpl_sitemap_xml_row($row);
	unset($row);

	$sql['users'] = "SELECT u.id, u.login, u.nickname as title, u.logdate as pubdate FROM cms_users u
			WHERE u.is_locked = 0 AND u.is_deleted = 0 ORDER BY u.logdate DESC";
	$result['users'] = $inDB->query($sql['users']);
		
	if ($inDB->num_rows($result['users'])){
		while ($users=$inDB->fetch_assoc($result['users'])){
			$row		= $users;
			$row['pubdate']	= strtotime($row['pubdate']);
			$row['loc']	= $cfg['url'].'/'.$row['login'];
			$row['lastmod']	= date("Y-m-d", $row['pubdate']);
			if($row['pubdate'] >= strtotime("-1 week")) {
				$row['changefreq']	= 'daily';
				$row['priority']	= '0.9';
			} elseif($row['pubdate'] < strtotime("-1 week")) {
				$row['changefreq']	= 'weekly';
				$row['priority']	= '0.8';
			}
			$user_id		= $row['id'];
			$output['xml'][]	= tpl_sitemap_xml_row($row);
			$output['html'][]	= tpl_sitemap_html_row($row);
			unset($row);

			if($cfg['allow_photos']) {
				$sql['user_photos'] = "SELECT up.id, up.title, up.pubdate FROM cms_user_photos up
						WHERE up.allow_who='all' AND up.user_id = ".$user_id." ORDER BY up.pubdate DESC";
				$result['user_photos'] = $inDB->query($sql['user_photos']);
	        
				if ($inDB->num_rows($result['user_photos'])){
					while ($user_photos=$inDB->fetch_assoc($result['user_photos'])){
						$row		= $user_photos;
						$row['pubdate']	= strtotime($row['pubdate']);
						$row['loc']	= $cfg['url'].'/'.$user_id.'/photo'.$row['id'].'.html';
						$row['lastmod']	= date("Y-m-d", $row['pubdate']);
						if($row['pubdate'] >= strtotime("-1 week")) {
							$row['changefreq']	= 'daily';
							$row['priority']	= '0.9';
						} elseif($row['pubdate'] < strtotime("-1 week")) {
							$row['changefreq']	= 'weekly';
							$row['priority']	= '0.8';
						}
						$output['xml'][]	= tpl_sitemap_xml_row($row);
						$output['html'][]	= tpl_sitemap_html_row($row,1);
						unset($row);
					}
				}
			}
		}
	$output['title']	= $cfg['title'];
	$output['name']  	= $cfg['name'];
	$output['url']		= $cfg['url'];
	$output['xml'] 		= implode("\r\n", $output['xml']);
	$output['html'] 	= implode("\r\n", $output['html']);
	} else return false;

	return $output;
}
?>