<?php
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function tpl_sitemap_xml_global($urlset=""){
$XML = "";
$XML .= <<<EOF
<?xml version="1.0" encoding="UTF-8"?>
<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
{$urlset}
</urlset>

EOF;
return $XML;
}

function tpl_sitemap_index_xml_global($urlset=""){
$XML = "";
$XML .= <<<EOF
<?xml version="1.0" encoding="UTF-8"?>
<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">
{$urlset}
</sitemapindex>

EOF;
return $XML;
}


function tpl_sitemap_xml_row($row=""){
$XML = "";
$XML .= <<<EOF
   <url>
      <loc>{$row['loc']}</loc>
      <lastmod>{$row['lastmod']}</lastmod>
      <changefreq>{$row['changefreq']}</changefreq>
      <priority>{$row['priority']}</priority>
   </url>
EOF;
return $XML;
}

function tpl_sitemap_index_xml_row($row=""){
$XML = "";
$XML .= <<<EOF
   <sitemap>
      <loc>{$row['loc']}</loc>
      <lastmod>{$row['lastmod']}</lastmod>
   </sitemap>
EOF;
return $XML;
}

function tpl_sitemap_html_row($row="", $sub=0){
$HTML = "";
if(!$sub) {
$HTML .= <<<EOF
	<div style="padding-left:0px;font-size:small;font-weight:bold;">
		<li type="circle"><a href="{$row['loc']}">{$row['title']}</a></li>
	</div>
EOF;
} else {
$HTML .= <<<EOF
	<div style="padding-left:15px;font-size:small;font-weight:normal;">
		<li type="circle"><a href="{$row['loc']}">{$row['title']}</a></li>
	</div>
EOF;
}

return $HTML;
}



function tpl_sitemap_html_global($data=""){
$HTML = "";
$HTML .= <<<EOF
{$data['sitemap_admin_menu']}
<div class="con_heading">Карта сайта</div>
<div id="sitemap_html_page">
{$data['sitemap_html_page']}
</div>
{$data['sitemap_admin_page']}
EOF;
return $HTML;
}

function tpl_sitemap_html_admin_menu(){
$HTML = "";
$HTML .= <<<EOF
<style type="text/css">
span.selected_menu { padding:3px; margin: 2px; background-color: #dddddd; }
span.selected_menu:hover { background-color: #dddddd; cursor: pointer; padding: 3px; border-bottom: 1px dotted blue; }
span.link_menu { padding:3px; margin: 2px; }
span.link_menu:hover { cursor: pointer; padding: 3px; border-bottom: 1px dotted blue; }
</style>

<script type="text/javascript">
$(document).ready(function(){
	$("#html_link").addClass("selected_menu");
	$("#admin_link").addClass("link_menu");
	$("#admin_link").click(function(){
			$("div#sitemap_html_page").hide(); $("div#sitemap_admin_page").show();
			$("#admin_link").removeClass("link_menu"); $("#admin_link").addClass("selected_menu");
			$("#html_link").removeClass("selected_menu"); $("#html_link").addClass("link_menu");
	});
	$("#html_link").click(function(){
			$("#sitemap_admin_page").hide(); $("#sitemap_html_page").show();
			$("#admin_link").removeClass("selected_menu"); $("#admin_link").addClass("link_menu");
			$("#html_link").removeClass("link_menu"); $("#html_link").addClass("selected_menu");
	});
});
</script>
<div style="margin: 10px; display: inline-block;float:right;">
	<span id="html_link">HTML версия</span>&nbsp;|&nbsp;<span id="admin_link">Служебная информация</span>
</div>
EOF;
return $HTML;
}


function tpl_sitemap_html_admin_page($data=""){
$HTML = "";
$HTML .= <<<EOF
<div id="sitemap_admin_page" style="display: none;">
<div style="font-size:medium;font-weight:normal;display:block;">
Эта страница доступна только для администраторов сайта. Простые пользователи видят только HTML-версию Карты.<br />
Содержимое данной страницы носит информативный характер. Так сказать, вывод результата работы скрипта "изнутри".
Ниже представлены файлы <strong>robots.txt</strong>, имеющийся у Вас на сайте и предпочтительный пример этого файла.
Если Ваш <strong>robots.txt</strong> кардинально отличается от образца, то Вы можете вручную отредактировать свой файл,
добавив в него необходимую информацию согласно примеру.
Также здесть представлено содержимое созданных файлов <strong>sitemap.xml</strong>. 
</div>
{$data}
</div>
EOF;
return $HTML;
}


function tpl_sitemap_html_admin_page_robots($data=""){
$HTML = "";
$HTML .= <<<EOF
<script type="text/javascript">
$(document).ready(function(){  
	$("#open_robots_txt").click(function(){ $("div#content_robots_txt").slideDown("slow"); });	
	$("#close_robots_txt").click(function(){ $("div#content_robots_txt").slideUp("slow"); });
	$("#toggle_robots_txt span").click(function(){ $("div#toggle_robots_txt span").toggle(); });
	return false;  
});
</script>

<div style="margin: 5px; padding: 5px; display: block;">
<div style="display: inline-block;float: left;cursor: pointer;padding-right:5px;width:15px;" id="toggle_robots_txt">
	<span id="open_robots_txt" style="display:none;"><img src="/images/icons/plus.gif" title="Нажмите здесь, чтобы развернуть"></span>
	<span id="close_robots_txt"><img src="/images/icons/minus.gif" title="Нажмите здесь, чтобы cвернуть"></span>
</div>
	<div style="display:block;width:100%">
		<div style="font-size:medium;font-weight:normal;display:inline-block; width:45%;float:left;">Ваш файл <strong>robots.txt</strong></div>
		<div style="display:inline-block; width:5%;float:left;">&nbsp;</div>
		<div style="font-size:medium;font-weight:normal;display:inline-block; width:45%;">Образец файла <strong>robots.txt</strong> для Вашего сайта</div>
	</div>
	<div id="content_robots_txt" style="display:block;width:100%">
		<div style="display:inline-block; width:48%;float:left;">
			<textarea readonly="readonly" rows="10" style="width:100%">{$data['you_robots_txt']}</textarea>
		</div>
		<div style="display:inline-block; width:4%;float:left;">&nbsp;</div>
		<div style="display:inline-block; width:48%;">
			<textarea readonly="readonly" rows="10" style="width:100%">{$data['example_robots_txt']}</textarea>
		</div>
	</div>
</div>
EOF;
return $HTML;
}


function tpl_sitemap_html_admin_page_row($data=""){
$HTML = "";
$HTML .= <<<EOF
<script type="text/javascript">
$(document).ready(function(){  
	$("#open_sitemap_{$data['sitemap_key']}").click(function(){ $("div#content_sitemap_{$data['sitemap_key']}").slideDown("slow"); });	
	$("#close_sitemap_{$data['sitemap_key']}").click(function(){ $("div#content_sitemap_{$data['sitemap_key']}").slideUp("slow"); });
	$("#toggle_sitemap_{$data['sitemap_key']} span").click(function(){ $("div#toggle_sitemap_{$data['sitemap_key']} span").toggle(); });
	return false;  
});
</script>

<div style="margin: 5px; padding: 5px; display: block;">
<div style="display: inline-block;float: left;cursor: pointer;padding-right:5px;width:15px;" id="toggle_sitemap_{$data['sitemap_key']}">
	<span id="open_sitemap_{$data['sitemap_key']}" style="display:none;"><img src="/images/icons/plus.gif" title="Нажмите здесь, чтобы развернуть"></span>
	<span id="close_sitemap_{$data['sitemap_key']}"><img src="/images/icons/minus.gif" title="Нажмите здесь, чтобы cвернуть"></span>
</div>
<div style="font-size:medium;font-weight:normal;display:inline-block;">Файл:&nbsp;<strong>{$data['sitemap_file']}</strong>&nbsp;|&nbsp;Записей:&nbsp;<strong>{$data['sitemap_rows']}</strong>&nbsp;|&nbsp;Размер&nbsp;(байт):&nbsp;<strong>{$data['sitemap_size']}</strong></div>
<div id="content_sitemap_{$data['sitemap_key']}" style="display:block;width:100%"><textarea readonly="readonly" rows="15" style="width:100%">{$data['sitemap_content']}</textarea></div>
</div>
EOF;
return $HTML;
}


function tpl_sitemap_html_block($data=""){
$HTML = "";
$HTML .= <<<EOF
<div style="padding-bottom:10px;padding-left:0px;">
	<div  style="padding-left:5px;font-size:large;font-weight:bolder;">
		<a href="{$data['url']}">{$data['title']}</a>
	</div>
{$data['html']}
</div>
EOF;
return $HTML;
}


function tpl_robots_txt($host="",$sitemap=""){
$HTML = "";
$HTML .= <<<EOF
User-Agent: Googlebot
Allow: /
Sitemap: {$host}{$sitemap}

User-agent: Yandex
Allow: /

User-Agent: *
Allow: /
Disallow: /search/tag/
EOF;
return $HTML;
}

?>